<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2023 Workiva-->
<!--r:288471b4-b45d-4d9c-8132-8f176b204fe4,g:58a41684-3613-4458-aa45-ee25be035640-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.harmonicinc.com/role/CONDENSEDCONSOLIDATEDBALANCESHEETS" xlink:type="simple" xlink:href="hlit-20230630.xsd#CONDENSEDCONSOLIDATEDBALANCESHEETS"/>
  <link:calculationLink xlink:role="http://www.harmonicinc.com/role/CONDENSEDCONSOLIDATEDBALANCESHEETS" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AssetsCurrent_c581326c-163f-4f09-98fe-b3cf0fc2da95" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AssetsCurrent"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CashAndCashEquivalentsAtCarryingValue_de3e9117-6436-431e-b7a2-863230929dc1" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_CashAndCashEquivalentsAtCarryingValue"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_c581326c-163f-4f09-98fe-b3cf0fc2da95" xlink:to="loc_us-gaap_CashAndCashEquivalentsAtCarryingValue_de3e9117-6436-431e-b7a2-863230929dc1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccountsReceivableNetCurrent_ae413a8c-afd8-45d1-8772-25d21986820e" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AccountsReceivableNetCurrent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_c581326c-163f-4f09-98fe-b3cf0fc2da95" xlink:to="loc_us-gaap_AccountsReceivableNetCurrent_ae413a8c-afd8-45d1-8772-25d21986820e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryNet_31d4ac34-981b-4f8a-b9d9-1f115d64018f" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_InventoryNet"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_c581326c-163f-4f09-98fe-b3cf0fc2da95" xlink:to="loc_us-gaap_InventoryNet_31d4ac34-981b-4f8a-b9d9-1f115d64018f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PrepaidExpenseAndOtherAssetsCurrent_df721172-3d9f-4f00-a3fd-94b94e63d245" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_PrepaidExpenseAndOtherAssetsCurrent"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_c581326c-163f-4f09-98fe-b3cf0fc2da95" xlink:to="loc_us-gaap_PrepaidExpenseAndOtherAssetsCurrent_df721172-3d9f-4f00-a3fd-94b94e63d245" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Assets_0ebd0009-f9a6-48c6-93bc-a904c45e1678" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_Assets"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AssetsCurrent_5c68736e-dcc7-486b-97aa-0e66b0c70634" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AssetsCurrent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_0ebd0009-f9a6-48c6-93bc-a904c45e1678" xlink:to="loc_us-gaap_AssetsCurrent_5c68736e-dcc7-486b-97aa-0e66b0c70634" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PropertyPlantAndEquipmentNet_9b2845eb-3b59-4516-9f31-dd7e009d081f" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_PropertyPlantAndEquipmentNet"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_0ebd0009-f9a6-48c6-93bc-a904c45e1678" xlink:to="loc_us-gaap_PropertyPlantAndEquipmentNet_9b2845eb-3b59-4516-9f31-dd7e009d081f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingLeaseRightOfUseAsset_33a6e56e-18f7-43b3-bcf2-6c409fd60013" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OperatingLeaseRightOfUseAsset"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_0ebd0009-f9a6-48c6-93bc-a904c45e1678" xlink:to="loc_us-gaap_OperatingLeaseRightOfUseAsset_33a6e56e-18f7-43b3-bcf2-6c409fd60013" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherAssetsNoncurrent_3216daba-d442-46a0-bf84-d3b33236c211" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OtherAssetsNoncurrent"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_0ebd0009-f9a6-48c6-93bc-a904c45e1678" xlink:to="loc_us-gaap_OtherAssetsNoncurrent_3216daba-d442-46a0-bf84-d3b33236c211" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Goodwill_0e432bca-ca00-4440-9fdc-e31e29bd26db" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_Goodwill"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_0ebd0009-f9a6-48c6-93bc-a904c45e1678" xlink:to="loc_us-gaap_Goodwill_0e432bca-ca00-4440-9fdc-e31e29bd26db" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_StockholdersEquity_151f056c-0cfd-4d74-9541-1ecfdd94ca99" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_StockholdersEquity"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PreferredStockValue_b5d26907-bd9f-4273-98bd-e6d978bea2bd" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_PreferredStockValue"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_151f056c-0cfd-4d74-9541-1ecfdd94ca99" xlink:to="loc_us-gaap_PreferredStockValue_b5d26907-bd9f-4273-98bd-e6d978bea2bd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CommonStockValue_c3e22394-c4c5-4121-81ff-1d2b245f4896" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_CommonStockValue"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_151f056c-0cfd-4d74-9541-1ecfdd94ca99" xlink:to="loc_us-gaap_CommonStockValue_c3e22394-c4c5-4121-81ff-1d2b245f4896" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AdditionalPaidInCapitalCommonStock_bbed5018-2b95-4d94-8410-911427e21f66" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AdditionalPaidInCapitalCommonStock"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_151f056c-0cfd-4d74-9541-1ecfdd94ca99" xlink:to="loc_us-gaap_AdditionalPaidInCapitalCommonStock_bbed5018-2b95-4d94-8410-911427e21f66" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RetainedEarningsAccumulatedDeficit_fe2abd75-d033-4147-8101-d17c59f64431" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_RetainedEarningsAccumulatedDeficit"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_151f056c-0cfd-4d74-9541-1ecfdd94ca99" xlink:to="loc_us-gaap_RetainedEarningsAccumulatedDeficit_fe2abd75-d033-4147-8101-d17c59f64431" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax_cecd622e-6698-4352-a0cd-eba1b4aa165a" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_151f056c-0cfd-4d74-9541-1ecfdd94ca99" xlink:to="loc_us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax_cecd622e-6698-4352-a0cd-eba1b4aa165a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Liabilities_21e94904-1191-4a39-815d-1ce709d48111" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_Liabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LiabilitiesCurrent_ae122256-576e-41f3-8cfd-a0c5762d4cc7" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_LiabilitiesCurrent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities_21e94904-1191-4a39-815d-1ce709d48111" xlink:to="loc_us-gaap_LiabilitiesCurrent_ae122256-576e-41f3-8cfd-a0c5762d4cc7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LongTermLoansPayable_db54c360-555b-44ad-9a4f-339e99ac8324" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_LongTermLoansPayable"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities_21e94904-1191-4a39-815d-1ce709d48111" xlink:to="loc_us-gaap_LongTermLoansPayable_db54c360-555b-44ad-9a4f-339e99ac8324" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingLeaseLiabilityNoncurrent_0f99a1fe-4cf4-488f-adc7-833b937f704d" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OperatingLeaseLiabilityNoncurrent"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities_21e94904-1191-4a39-815d-1ce709d48111" xlink:to="loc_us-gaap_OperatingLeaseLiabilityNoncurrent_0f99a1fe-4cf4-488f-adc7-833b937f704d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherLiabilitiesNoncurrent_1e94df81-ddc0-4486-acb5-78fec3346f5e" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OtherLiabilitiesNoncurrent"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities_21e94904-1191-4a39-815d-1ce709d48111" xlink:to="loc_us-gaap_OtherLiabilitiesNoncurrent_1e94df81-ddc0-4486-acb5-78fec3346f5e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LiabilitiesAndStockholdersEquity_66dd989c-30bb-4a90-a022-e1e1df12f700" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_LiabilitiesAndStockholdersEquity"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Liabilities_792c95c5-32d9-4e61-8b19-3786c12300d9" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_Liabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_66dd989c-30bb-4a90-a022-e1e1df12f700" xlink:to="loc_us-gaap_Liabilities_792c95c5-32d9-4e61-8b19-3786c12300d9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CommitmentsAndContingencies_e38ca55a-8b52-43a9-957f-642585316d5b" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_CommitmentsAndContingencies"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_66dd989c-30bb-4a90-a022-e1e1df12f700" xlink:to="loc_us-gaap_CommitmentsAndContingencies_e38ca55a-8b52-43a9-957f-642585316d5b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_StockholdersEquity_1a985c0d-b0af-4ef6-9779-0c1a917e2bd0" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_StockholdersEquity"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_66dd989c-30bb-4a90-a022-e1e1df12f700" xlink:to="loc_us-gaap_StockholdersEquity_1a985c0d-b0af-4ef6-9779-0c1a917e2bd0" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LiabilitiesCurrent_82250461-5ea6-418f-bb42-19796a748032" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_LiabilitiesCurrent"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ConvertibleDebtCurrent_6937766d-d83e-442f-a8e4-0e64fe6d6c34" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_ConvertibleDebtCurrent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_82250461-5ea6-418f-bb42-19796a748032" xlink:to="loc_us-gaap_ConvertibleDebtCurrent_6937766d-d83e-442f-a8e4-0e64fe6d6c34" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LoansPayableCurrent_c8f604f8-29a6-4ce2-8d25-82a189698257" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_LoansPayableCurrent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_82250461-5ea6-418f-bb42-19796a748032" xlink:to="loc_us-gaap_LoansPayableCurrent_c8f604f8-29a6-4ce2-8d25-82a189698257" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccountsPayableCurrent_4ca043e7-1baa-4cdb-87f6-4ba38b561964" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AccountsPayableCurrent"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_82250461-5ea6-418f-bb42-19796a748032" xlink:to="loc_us-gaap_AccountsPayableCurrent_4ca043e7-1baa-4cdb-87f6-4ba38b561964" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ContractWithCustomerLiabilityCurrent_78e09731-00b9-45ef-ad1c-ce56410834b6" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_ContractWithCustomerLiabilityCurrent"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_82250461-5ea6-418f-bb42-19796a748032" xlink:to="loc_us-gaap_ContractWithCustomerLiabilityCurrent_78e09731-00b9-45ef-ad1c-ce56410834b6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingLeaseLiabilityCurrent_0a2dafff-a4da-4a35-b6de-5ac3c34c18fa" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OperatingLeaseLiabilityCurrent"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_82250461-5ea6-418f-bb42-19796a748032" xlink:to="loc_us-gaap_OperatingLeaseLiabilityCurrent_0a2dafff-a4da-4a35-b6de-5ac3c34c18fa" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherLiabilitiesCurrent_bc679867-be1d-434f-bd9a-0e738c0365e9" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OtherLiabilitiesCurrent"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_82250461-5ea6-418f-bb42-19796a748032" xlink:to="loc_us-gaap_OtherLiabilitiesCurrent_bc679867-be1d-434f-bd9a-0e738c0365e9" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.harmonicinc.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFOPERATIONS" xlink:type="simple" xlink:href="hlit-20230630.xsd#CONDENSEDCONSOLIDATEDSTATEMENTSOFOPERATIONS"/>
  <link:calculationLink xlink:role="http://www.harmonicinc.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFOPERATIONS" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_a97aa16f-2e68-4b5e-8c8b-4196bed7e5b7" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingIncomeLoss_419b0f21-98c9-413e-b66e-e97ca5bc505d" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OperatingIncomeLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_a97aa16f-2e68-4b5e-8c8b-4196bed7e5b7" xlink:to="loc_us-gaap_OperatingIncomeLoss_419b0f21-98c9-413e-b66e-e97ca5bc505d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InterestExpense_fdd56916-d646-46ff-b77b-3cbb40e03c92" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_InterestExpense"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_a97aa16f-2e68-4b5e-8c8b-4196bed7e5b7" xlink:to="loc_us-gaap_InterestExpense_fdd56916-d646-46ff-b77b-3cbb40e03c92" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherNonoperatingIncomeExpense_1235e65b-738a-425e-8ac6-fe5f21cd6087" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OtherNonoperatingIncomeExpense"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_a97aa16f-2e68-4b5e-8c8b-4196bed7e5b7" xlink:to="loc_us-gaap_OtherNonoperatingIncomeExpense_1235e65b-738a-425e-8ac6-fe5f21cd6087" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_GrossProfit_50150623-4831-46ba-b2dc-271191ca1f96" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_GrossProfit"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax_6c7ad800-49ae-484d-9580-61e42396bb5a" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_GrossProfit_50150623-4831-46ba-b2dc-271191ca1f96" xlink:to="loc_us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax_6c7ad800-49ae-484d-9580-61e42396bb5a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CostOfGoodsAndServicesSold_c2585351-24b1-4afb-8fee-fca6e7030de4" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_CostOfGoodsAndServicesSold"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_GrossProfit_50150623-4831-46ba-b2dc-271191ca1f96" xlink:to="loc_us-gaap_CostOfGoodsAndServicesSold_c2585351-24b1-4afb-8fee-fca6e7030de4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingExpenses_d789f5ec-3d0a-4b15-836d-58a62b8bf530" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OperatingExpenses"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ResearchAndDevelopmentExpense_5095d7c8-d196-445d-bace-ef034322bf5b" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_ResearchAndDevelopmentExpense"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingExpenses_d789f5ec-3d0a-4b15-836d-58a62b8bf530" xlink:to="loc_us-gaap_ResearchAndDevelopmentExpense_5095d7c8-d196-445d-bace-ef034322bf5b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_SellingGeneralAndAdministrativeExpense_79531ff0-ad1e-482e-81c8-7de7a70a6b00" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_SellingGeneralAndAdministrativeExpense"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingExpenses_d789f5ec-3d0a-4b15-836d-58a62b8bf530" xlink:to="loc_us-gaap_SellingGeneralAndAdministrativeExpense_79531ff0-ad1e-482e-81c8-7de7a70a6b00" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RestructuringAndRelatedCostIncurredCost_ceffaf8f-02b8-4e30-8314-c4eec04db444" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_RestructuringAndRelatedCostIncurredCost"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingExpenses_d789f5ec-3d0a-4b15-836d-58a62b8bf530" xlink:to="loc_us-gaap_RestructuringAndRelatedCostIncurredCost_ceffaf8f-02b8-4e30-8314-c4eec04db444" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingIncomeLoss_07468fbe-d850-4cac-aea7-bba7c10bd60d" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OperatingIncomeLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_GrossProfit_bfae0bb0-2680-4cb0-bf98-9fdef9ac9804" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_GrossProfit"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingIncomeLoss_07468fbe-d850-4cac-aea7-bba7c10bd60d" xlink:to="loc_us-gaap_GrossProfit_bfae0bb0-2680-4cb0-bf98-9fdef9ac9804" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingExpenses_8eed2b33-6384-48e5-9cc8-df5831e43b09" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OperatingExpenses"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingIncomeLoss_07468fbe-d850-4cac-aea7-bba7c10bd60d" xlink:to="loc_us-gaap_OperatingExpenses_8eed2b33-6384-48e5-9cc8-df5831e43b09" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetIncomeLoss_1493fd9d-77ac-4fe7-9862-53636c3eaa19" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_NetIncomeLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_5b938f6e-a694-4900-bec7-2d2c0310c6b7" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLoss_1493fd9d-77ac-4fe7-9862-53636c3eaa19" xlink:to="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_5b938f6e-a694-4900-bec7-2d2c0310c6b7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncomeTaxExpenseBenefit_b7a0b645-7618-48dc-bdf4-cf9bb3f740e0" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_IncomeTaxExpenseBenefit"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLoss_1493fd9d-77ac-4fe7-9862-53636c3eaa19" xlink:to="loc_us-gaap_IncomeTaxExpenseBenefit_b7a0b645-7618-48dc-bdf4-cf9bb3f740e0" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.harmonicinc.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFCOMPREHENSIVEINCOME" xlink:type="simple" xlink:href="hlit-20230630.xsd#CONDENSEDCONSOLIDATEDSTATEMENTSOFCOMPREHENSIVEINCOME"/>
  <link:calculationLink xlink:role="http://www.harmonicinc.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFCOMPREHENSIVEINCOME" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherComprehensiveIncomeLossBeforeTaxPortionAttributableToParent_28f23476-d81f-49ce-b863-b8a6637e7d1d" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OtherComprehensiveIncomeLossBeforeTaxPortionAttributableToParent"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherComprehensiveIncomeForeignCurrencyTransactionAndTranslationAdjustmentBeforeTaxPortionAttributableToParent_dbd8d346-80a1-4240-af04-819e39c4fe37" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OtherComprehensiveIncomeForeignCurrencyTransactionAndTranslationAdjustmentBeforeTaxPortionAttributableToParent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OtherComprehensiveIncomeLossBeforeTaxPortionAttributableToParent_28f23476-d81f-49ce-b863-b8a6637e7d1d" xlink:to="loc_us-gaap_OtherComprehensiveIncomeForeignCurrencyTransactionAndTranslationAdjustmentBeforeTaxPortionAttributableToParent_dbd8d346-80a1-4240-af04-819e39c4fe37" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ComprehensiveIncomeNetOfTax_9dc98cde-d1ac-477f-bf30-79fd69b65ee8" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_ComprehensiveIncomeNetOfTax"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetIncomeLoss_2a0dfa5d-f999-4931-a25b-73b67dd92104" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_NetIncomeLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ComprehensiveIncomeNetOfTax_9dc98cde-d1ac-477f-bf30-79fd69b65ee8" xlink:to="loc_us-gaap_NetIncomeLoss_2a0dfa5d-f999-4931-a25b-73b67dd92104" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent_f13a9bd7-93cf-4590-aff6-80c2c7592c1b" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ComprehensiveIncomeNetOfTax_9dc98cde-d1ac-477f-bf30-79fd69b65ee8" xlink:to="loc_us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent_f13a9bd7-93cf-4590-aff6-80c2c7592c1b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent_ee24ebec-13c9-48f6-9ee6-4b61e8ea0ee7" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherComprehensiveIncomeLossBeforeTaxPortionAttributableToParent_0de12047-8a1a-40c7-8f8a-d174a0769b4c" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OtherComprehensiveIncomeLossBeforeTaxPortionAttributableToParent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent_ee24ebec-13c9-48f6-9ee6-4b61e8ea0ee7" xlink:to="loc_us-gaap_OtherComprehensiveIncomeLossBeforeTaxPortionAttributableToParent_0de12047-8a1a-40c7-8f8a-d174a0769b4c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherComprehensiveIncomeLossTaxPortionAttributableToParent1_3435cbb3-83e7-4188-bc12-0b1944647b53" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OtherComprehensiveIncomeLossTaxPortionAttributableToParent1"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent_ee24ebec-13c9-48f6-9ee6-4b61e8ea0ee7" xlink:to="loc_us-gaap_OtherComprehensiveIncomeLossTaxPortionAttributableToParent1_3435cbb3-83e7-4188-bc12-0b1944647b53" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.harmonicinc.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFCASHFLOWS" xlink:type="simple" xlink:href="hlit-20230630.xsd#CONDENSEDCONSOLIDATEDSTATEMENTSOFCASHFLOWS"/>
  <link:calculationLink xlink:role="http://www.harmonicinc.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFCASHFLOWS" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_209f9541-6d1c-41e4-846a-8e2d0ca5fb84" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_NetCashProvidedByUsedInInvestingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsToAcquirePropertyPlantAndEquipment_e303d550-b1d7-416d-8098-544a645dadb2" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_PaymentsToAcquirePropertyPlantAndEquipment"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_209f9541-6d1c-41e4-846a-8e2d0ca5fb84" xlink:to="loc_us-gaap_PaymentsToAcquirePropertyPlantAndEquipment_e303d550-b1d7-416d-8098-544a645dadb2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_hlit_ProceedsFromSaleOfEquitySecuritiesWithoutReadilyDeterminableFairValue_6cabe810-1388-4499-8084-029d3cbd4cff" xlink:href="hlit-20230630.xsd#hlit_ProceedsFromSaleOfEquitySecuritiesWithoutReadilyDeterminableFairValue"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_209f9541-6d1c-41e4-846a-8e2d0ca5fb84" xlink:to="loc_hlit_ProceedsFromSaleOfEquitySecuritiesWithoutReadilyDeterminableFairValue_6cabe810-1388-4499-8084-029d3cbd4cff" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_36e98318-bb3d-4c04-bb76-15d6fb79898f" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_d073c8f0-cf12-444f-a3e5-b51f347798a5" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_NetCashProvidedByUsedInOperatingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_36e98318-bb3d-4c04-bb76-15d6fb79898f" xlink:to="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_d073c8f0-cf12-444f-a3e5-b51f347798a5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_69ace71b-aa09-406f-83f2-69ca1594c554" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_NetCashProvidedByUsedInInvestingActivities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_36e98318-bb3d-4c04-bb76-15d6fb79898f" xlink:to="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_69ace71b-aa09-406f-83f2-69ca1594c554" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_a2ca9569-c66a-4f91-b672-e538847319f5" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_NetCashProvidedByUsedInFinancingActivities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_36e98318-bb3d-4c04-bb76-15d6fb79898f" xlink:to="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_a2ca9569-c66a-4f91-b672-e538847319f5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_EffectOfExchangeRateOnCashCashEquivalentsRestrictedCashAndRestrictedCashEquivalents_c06848a7-f69a-471e-8453-f1ebe12c69fa" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_EffectOfExchangeRateOnCashCashEquivalentsRestrictedCashAndRestrictedCashEquivalents"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_36e98318-bb3d-4c04-bb76-15d6fb79898f" xlink:to="loc_us-gaap_EffectOfExchangeRateOnCashCashEquivalentsRestrictedCashAndRestrictedCashEquivalents_c06848a7-f69a-471e-8453-f1ebe12c69fa" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_e30d7ee3-f6f2-4c91-8e15-6eea0c3a76b7" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_NetCashProvidedByUsedInOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetIncomeLoss_b41767bd-c4bf-419a-80e5-f52a8b09f530" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_NetIncomeLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_e30d7ee3-f6f2-4c91-8e15-6eea0c3a76b7" xlink:to="loc_us-gaap_NetIncomeLoss_b41767bd-c4bf-419a-80e5-f52a8b09f530" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInAccruedLiabilities_39c76d70-abd9-4878-9ad4-378a296d557f" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_IncreaseDecreaseInAccruedLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_e30d7ee3-f6f2-4c91-8e15-6eea0c3a76b7" xlink:to="loc_us-gaap_IncreaseDecreaseInAccruedLiabilities_39c76d70-abd9-4878-9ad4-378a296d557f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInDeferredRevenue_1fde1183-218c-4805-8f88-9dbfbe59476d" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_IncreaseDecreaseInDeferredRevenue"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_e30d7ee3-f6f2-4c91-8e15-6eea0c3a76b7" xlink:to="loc_us-gaap_IncreaseDecreaseInDeferredRevenue_1fde1183-218c-4805-8f88-9dbfbe59476d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInAccountsPayable_51f37062-07e0-423b-9301-dc835527fadb" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_IncreaseDecreaseInAccountsPayable"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_e30d7ee3-f6f2-4c91-8e15-6eea0c3a76b7" xlink:to="loc_us-gaap_IncreaseDecreaseInAccountsPayable_51f37062-07e0-423b-9301-dc835527fadb" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets_a611b56b-762a-42dc-aebb-f27edf0ab455" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_e30d7ee3-f6f2-4c91-8e15-6eea0c3a76b7" xlink:to="loc_us-gaap_IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets_a611b56b-762a-42dc-aebb-f27edf0ab455" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInInventories_4398e212-9e27-43c8-8b79-a79ec7477697" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_IncreaseDecreaseInInventories"/>
    <link:calculationArc order="6" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_e30d7ee3-f6f2-4c91-8e15-6eea0c3a76b7" xlink:to="loc_us-gaap_IncreaseDecreaseInInventories_4398e212-9e27-43c8-8b79-a79ec7477697" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInAccountsReceivable_6a948dde-278b-4921-a815-91d8471f841e" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_IncreaseDecreaseInAccountsReceivable"/>
    <link:calculationArc order="7" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_e30d7ee3-f6f2-4c91-8e15-6eea0c3a76b7" xlink:to="loc_us-gaap_IncreaseDecreaseInAccountsReceivable_6a948dde-278b-4921-a815-91d8471f841e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryWriteDown_04e6d16f-b85d-42ef-8325-73f817f35f2b" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_InventoryWriteDown"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_e30d7ee3-f6f2-4c91-8e15-6eea0c3a76b7" xlink:to="loc_us-gaap_InventoryWriteDown_04e6d16f-b85d-42ef-8325-73f817f35f2b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProvisionForDoubtfulAccounts_8149fcd7-bcd2-4364-bcb6-6adc11108e36" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_ProvisionForDoubtfulAccounts"/>
    <link:calculationArc order="9" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_e30d7ee3-f6f2-4c91-8e15-6eea0c3a76b7" xlink:to="loc_us-gaap_ProvisionForDoubtfulAccounts_8149fcd7-bcd2-4364-bcb6-6adc11108e36" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DeferredIncomeTaxesAndTaxCredits_14ad5462-0cb6-4491-8f5a-b49c4e1272d7" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_DeferredIncomeTaxesAndTaxCredits"/>
    <link:calculationArc order="10" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_e30d7ee3-f6f2-4c91-8e15-6eea0c3a76b7" xlink:to="loc_us-gaap_DeferredIncomeTaxesAndTaxCredits_14ad5462-0cb6-4491-8f5a-b49c4e1272d7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ForeignCurrencyTransactionGainLossBeforeTax_82efe194-6d36-413d-9ed4-bf2008a10cea" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_ForeignCurrencyTransactionGainLossBeforeTax"/>
    <link:calculationArc order="11" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_e30d7ee3-f6f2-4c91-8e15-6eea0c3a76b7" xlink:to="loc_us-gaap_ForeignCurrencyTransactionGainLossBeforeTax_82efe194-6d36-413d-9ed4-bf2008a10cea" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AmortizationOfFinancingCostsAndDiscounts_8947fe12-0c76-4aa3-9cff-b18426cdbab1" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AmortizationOfFinancingCostsAndDiscounts"/>
    <link:calculationArc order="12" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_e30d7ee3-f6f2-4c91-8e15-6eea0c3a76b7" xlink:to="loc_us-gaap_AmortizationOfFinancingCostsAndDiscounts_8947fe12-0c76-4aa3-9cff-b18426cdbab1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ShareBasedCompensation_f2de1acf-5354-4631-b96e-85fffd34d45c" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_ShareBasedCompensation"/>
    <link:calculationArc order="13" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_e30d7ee3-f6f2-4c91-8e15-6eea0c3a76b7" xlink:to="loc_us-gaap_ShareBasedCompensation_f2de1acf-5354-4631-b96e-85fffd34d45c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Depreciation_6d2d505e-8078-49c3-a9c1-a4254e683012" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_Depreciation"/>
    <link:calculationArc order="14" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_e30d7ee3-f6f2-4c91-8e15-6eea0c3a76b7" xlink:to="loc_us-gaap_Depreciation_6d2d505e-8078-49c3-a9c1-a4254e683012" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_hlit_ProvisionForNonCashWarrant_cb50bbda-881a-431f-8b71-dfe00b10a4f3" xlink:href="hlit-20230630.xsd#hlit_ProvisionForNonCashWarrant"/>
    <link:calculationArc order="15" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_e30d7ee3-f6f2-4c91-8e15-6eea0c3a76b7" xlink:to="loc_hlit_ProvisionForNonCashWarrant_cb50bbda-881a-431f-8b71-dfe00b10a4f3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherOperatingActivitiesCashFlowStatement_ca178ac1-8771-419c-a8b9-b03d8e1ee4a7" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OtherOperatingActivitiesCashFlowStatement"/>
    <link:calculationArc order="16" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_e30d7ee3-f6f2-4c91-8e15-6eea0c3a76b7" xlink:to="loc_us-gaap_OtherOperatingActivitiesCashFlowStatement_ca178ac1-8771-419c-a8b9-b03d8e1ee4a7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_hlit_EquitySecuritiesWithoutReadilyDeterminableFairValueRealizedGainLossOnDisposal_d85660b9-e9b8-410a-9508-73c72dadd392" xlink:href="hlit-20230630.xsd#hlit_EquitySecuritiesWithoutReadilyDeterminableFairValueRealizedGainLossOnDisposal"/>
    <link:calculationArc order="17" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_e30d7ee3-f6f2-4c91-8e15-6eea0c3a76b7" xlink:to="loc_hlit_EquitySecuritiesWithoutReadilyDeterminableFairValueRealizedGainLossOnDisposal_d85660b9-e9b8-410a-9508-73c72dadd392" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_1436d62d-f3c3-4dac-9d6c-6c276a3bb5da" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_NetCashProvidedByUsedInFinancingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsForRepurchaseOfCommonStock_2b907cca-4fc7-4ae8-83a6-d3ca3f802c66" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_PaymentsForRepurchaseOfCommonStock"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_1436d62d-f3c3-4dac-9d6c-6c276a3bb5da" xlink:to="loc_us-gaap_PaymentsForRepurchaseOfCommonStock_2b907cca-4fc7-4ae8-83a6-d3ca3f802c66" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProceedsFromOtherDebt_bb806aaf-108d-4019-b0e7-a748c1dbaafd" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_ProceedsFromOtherDebt"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_1436d62d-f3c3-4dac-9d6c-6c276a3bb5da" xlink:to="loc_us-gaap_ProceedsFromOtherDebt_bb806aaf-108d-4019-b0e7-a748c1dbaafd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProceedsFromIssuanceOfSharesUnderIncentiveAndShareBasedCompensationPlansIncludingStockOptions_f1699d48-3653-45f4-af03-ed16c155ab0d" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_ProceedsFromIssuanceOfSharesUnderIncentiveAndShareBasedCompensationPlansIncludingStockOptions"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_1436d62d-f3c3-4dac-9d6c-6c276a3bb5da" xlink:to="loc_us-gaap_ProceedsFromIssuanceOfSharesUnderIncentiveAndShareBasedCompensationPlansIncludingStockOptions_f1699d48-3653-45f4-af03-ed16c155ab0d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RepaymentsOfDebtAndCapitalLeaseObligations_14bc59d7-146f-405d-985c-c2f0b5d9cc8d" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_RepaymentsOfDebtAndCapitalLeaseObligations"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_1436d62d-f3c3-4dac-9d6c-6c276a3bb5da" xlink:to="loc_us-gaap_RepaymentsOfDebtAndCapitalLeaseObligations_14bc59d7-146f-405d-985c-c2f0b5d9cc8d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsRelatedToTaxWithholdingForShareBasedCompensation_e69628f8-789a-4394-a37c-f1a44009da39" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_PaymentsRelatedToTaxWithholdingForShareBasedCompensation"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_1436d62d-f3c3-4dac-9d6c-6c276a3bb5da" xlink:to="loc_us-gaap_PaymentsRelatedToTaxWithholdingForShareBasedCompensation_e69628f8-789a-4394-a37c-f1a44009da39" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.harmonicinc.com/role/LEASESDetails" xlink:type="simple" xlink:href="hlit-20230630.xsd#LEASESDetails"/>
  <link:calculationLink xlink:role="http://www.harmonicinc.com/role/LEASESDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LeaseCost_44feace1-66bd-456e-bfaf-889c7d56a425" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_LeaseCost"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_VariableLeaseCost_88afea60-7335-4b6b-9d1e-b9580e451596" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_VariableLeaseCost"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LeaseCost_44feace1-66bd-456e-bfaf-889c7d56a425" xlink:to="loc_us-gaap_VariableLeaseCost_88afea60-7335-4b6b-9d1e-b9580e451596" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingLeaseCost_56f16f95-7bd1-4b3f-a2e2-c780c9656c6e" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OperatingLeaseCost"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LeaseCost_44feace1-66bd-456e-bfaf-889c7d56a425" xlink:to="loc_us-gaap_OperatingLeaseCost_56f16f95-7bd1-4b3f-a2e2-c780c9656c6e" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.harmonicinc.com/role/OTHERFINANCIALSTATEMENTINFORMATIONAccountsReceivableNetDetails" xlink:type="simple" xlink:href="hlit-20230630.xsd#OTHERFINANCIALSTATEMENTINFORMATIONAccountsReceivableNetDetails"/>
  <link:calculationLink xlink:role="http://www.harmonicinc.com/role/OTHERFINANCIALSTATEMENTINFORMATIONAccountsReceivableNetDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccountsReceivableNetCurrent_9e55e74f-a7d4-487e-95c8-f9a16efdb570" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AccountsReceivableNetCurrent"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccountsReceivableGrossCurrent_0ceab353-b298-471c-921d-6caa03165678" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AccountsReceivableGrossCurrent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AccountsReceivableNetCurrent_9e55e74f-a7d4-487e-95c8-f9a16efdb570" xlink:to="loc_us-gaap_AccountsReceivableGrossCurrent_0ceab353-b298-471c-921d-6caa03165678" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AllowanceForDoubtfulAccountsReceivableCurrent_b52e3c52-5d29-4305-a230-519c21dedbd4" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AllowanceForDoubtfulAccountsReceivableCurrent"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AccountsReceivableNetCurrent_9e55e74f-a7d4-487e-95c8-f9a16efdb570" xlink:to="loc_us-gaap_AllowanceForDoubtfulAccountsReceivableCurrent_b52e3c52-5d29-4305-a230-519c21dedbd4" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.harmonicinc.com/role/OTHERFINANCIALSTATEMENTINFORMATIONInventoriesDetails" xlink:type="simple" xlink:href="hlit-20230630.xsd#OTHERFINANCIALSTATEMENTINFORMATIONInventoriesDetails"/>
  <link:calculationLink xlink:role="http://www.harmonicinc.com/role/OTHERFINANCIALSTATEMENTINFORMATIONInventoriesDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryNet_af06efbe-181e-4e09-ab78-cde7ffa61b8c" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_InventoryNet"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryRawMaterialsNetOfReserves_893885a2-d0bb-4f80-98a7-eb9e79abc546" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_InventoryRawMaterialsNetOfReserves"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InventoryNet_af06efbe-181e-4e09-ab78-cde7ffa61b8c" xlink:to="loc_us-gaap_InventoryRawMaterialsNetOfReserves_893885a2-d0bb-4f80-98a7-eb9e79abc546" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryWorkInProcessNetOfReserves_63d15e84-a74e-4312-acd5-a1a0d3dee4bf" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_InventoryWorkInProcessNetOfReserves"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InventoryNet_af06efbe-181e-4e09-ab78-cde7ffa61b8c" xlink:to="loc_us-gaap_InventoryWorkInProcessNetOfReserves_63d15e84-a74e-4312-acd5-a1a0d3dee4bf" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryFinishedGoodsNetOfReserves_d7d4411b-749e-4253-9953-2298064fe41a" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_InventoryFinishedGoodsNetOfReserves"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InventoryNet_af06efbe-181e-4e09-ab78-cde7ffa61b8c" xlink:to="loc_us-gaap_InventoryFinishedGoodsNetOfReserves_d7d4411b-749e-4253-9953-2298064fe41a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryPartsAndComponentsNetOfReserves_ff443995-d8b3-46a8-a101-c8bfb1b27d21" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_InventoryPartsAndComponentsNetOfReserves"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InventoryNet_af06efbe-181e-4e09-ab78-cde7ffa61b8c" xlink:to="loc_us-gaap_InventoryPartsAndComponentsNetOfReserves_ff443995-d8b3-46a8-a101-c8bfb1b27d21" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.harmonicinc.com/role/OTHERFINANCIALSTATEMENTINFORMATIONPrepaidExpensesandOtherCurrentAssetsDetails" xlink:type="simple" xlink:href="hlit-20230630.xsd#OTHERFINANCIALSTATEMENTINFORMATIONPrepaidExpensesandOtherCurrentAssetsDetails"/>
  <link:calculationLink xlink:role="http://www.harmonicinc.com/role/OTHERFINANCIALSTATEMENTINFORMATIONPrepaidExpensesandOtherCurrentAssetsDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PrepaidExpenseAndOtherAssetsCurrent_ef9d7556-334b-4264-9d1e-098e59150b5d" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_PrepaidExpenseAndOtherAssetsCurrent"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PrepaidExpenseCurrent_050d1ad0-e49a-4619-9c09-a93d8ee63f02" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_PrepaidExpenseCurrent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_PrepaidExpenseAndOtherAssetsCurrent_ef9d7556-334b-4264-9d1e-098e59150b5d" xlink:to="loc_us-gaap_PrepaidExpenseCurrent_050d1ad0-e49a-4619-9c09-a93d8ee63f02" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ContractWithCustomerAssetNetCurrent_8322af5b-8777-46d8-8edb-3052b71a4465" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_ContractWithCustomerAssetNetCurrent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_PrepaidExpenseAndOtherAssetsCurrent_ef9d7556-334b-4264-9d1e-098e59150b5d" xlink:to="loc_us-gaap_ContractWithCustomerAssetNetCurrent_8322af5b-8777-46d8-8edb-3052b71a4465" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherAssetsMiscellaneousCurrent_e8a8761b-7656-476a-b61c-518ec1dcdcd1" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OtherAssetsMiscellaneousCurrent"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_PrepaidExpenseAndOtherAssetsCurrent_ef9d7556-334b-4264-9d1e-098e59150b5d" xlink:to="loc_us-gaap_OtherAssetsMiscellaneousCurrent_e8a8761b-7656-476a-b61c-518ec1dcdcd1" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.harmonicinc.com/role/OTHERFINANCIALSTATEMENTINFORMATIONPropertyandEquipmentNetDetails" xlink:type="simple" xlink:href="hlit-20230630.xsd#OTHERFINANCIALSTATEMENTINFORMATIONPropertyandEquipmentNetDetails"/>
  <link:calculationLink xlink:role="http://www.harmonicinc.com/role/OTHERFINANCIALSTATEMENTINFORMATIONPropertyandEquipmentNetDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PropertyPlantAndEquipmentNet_ae3600ad-38df-4d3a-8fc8-bbfad4d1d9e3" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_PropertyPlantAndEquipmentNet"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PropertyPlantAndEquipmentGross_4a4434ef-ceb8-4c2d-921f-184b13ed6b2c" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_PropertyPlantAndEquipmentGross"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_PropertyPlantAndEquipmentNet_ae3600ad-38df-4d3a-8fc8-bbfad4d1d9e3" xlink:to="loc_us-gaap_PropertyPlantAndEquipmentGross_4a4434ef-ceb8-4c2d-921f-184b13ed6b2c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccumulatedDepreciationDepletionAndAmortizationPropertyPlantAndEquipment_0f2cce73-d0b9-4e59-b755-979219e5d8d6" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AccumulatedDepreciationDepletionAndAmortizationPropertyPlantAndEquipment"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_PropertyPlantAndEquipmentNet_ae3600ad-38df-4d3a-8fc8-bbfad4d1d9e3" xlink:to="loc_us-gaap_AccumulatedDepreciationDepletionAndAmortizationPropertyPlantAndEquipment_0f2cce73-d0b9-4e59-b755-979219e5d8d6" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.harmonicinc.com/role/OTHERFINANCIALSTATEMENTINFORMATIONOtherCurrentLiabilitiesDetails" xlink:type="simple" xlink:href="hlit-20230630.xsd#OTHERFINANCIALSTATEMENTINFORMATIONOtherCurrentLiabilitiesDetails"/>
  <link:calculationLink xlink:role="http://www.harmonicinc.com/role/OTHERFINANCIALSTATEMENTINFORMATIONOtherCurrentLiabilitiesDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherLiabilitiesCurrent_88acd692-a9a8-4053-9b0a-5dc2e38983ef" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OtherLiabilitiesCurrent"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_EmployeeRelatedLiabilitiesCurrent_55cf24d9-e69c-4e8e-9741-f15d9964f784" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_EmployeeRelatedLiabilitiesCurrent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OtherLiabilitiesCurrent_88acd692-a9a8-4053-9b0a-5dc2e38983ef" xlink:to="loc_us-gaap_EmployeeRelatedLiabilitiesCurrent_55cf24d9-e69c-4e8e-9741-f15d9964f784" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherAccruedLiabilitiesCurrent_7017504d-bef1-4d07-9c7c-6e7ac09f9e70" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OtherAccruedLiabilitiesCurrent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OtherLiabilitiesCurrent_88acd692-a9a8-4053-9b0a-5dc2e38983ef" xlink:to="loc_us-gaap_OtherAccruedLiabilitiesCurrent_7017504d-bef1-4d07-9c7c-6e7ac09f9e70" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.harmonicinc.com/role/CONVERTIBLEDEBTComponentsofConvertibleNotesDetails" xlink:type="simple" xlink:href="hlit-20230630.xsd#CONVERTIBLEDEBTComponentsofConvertibleNotesDetails"/>
  <link:calculationLink xlink:role="http://www.harmonicinc.com/role/CONVERTIBLEDEBTComponentsofConvertibleNotesDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ConvertibleDebt_4c50df63-b5a1-4f95-bb67-373062ce5180" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_ConvertibleDebt"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_UnamortizedDebtIssuanceExpense_33d6fe7b-8244-4a50-87fb-72d026792f4b" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_UnamortizedDebtIssuanceExpense"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ConvertibleDebt_4c50df63-b5a1-4f95-bb67-373062ce5180" xlink:to="loc_us-gaap_UnamortizedDebtIssuanceExpense_33d6fe7b-8244-4a50-87fb-72d026792f4b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DebtInstrumentFaceAmount_b27d3bf6-40e4-46c7-871b-9aae82734adb" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_DebtInstrumentFaceAmount"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ConvertibleDebt_4c50df63-b5a1-4f95-bb67-373062ce5180" xlink:to="loc_us-gaap_DebtInstrumentFaceAmount_b27d3bf6-40e4-46c7-871b-9aae82734adb" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.harmonicinc.com/role/CONVERTIBLEDEBTInterestExpenseDetails" xlink:type="simple" xlink:href="hlit-20230630.xsd#CONVERTIBLEDEBTInterestExpenseDetails"/>
  <link:calculationLink xlink:role="http://www.harmonicinc.com/role/CONVERTIBLEDEBTInterestExpenseDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InterestExpenseDebt_0885a58c-e053-480f-92bf-48646f4ec2ac" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_InterestExpenseDebt"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InterestExpenseDebtExcludingAmortization_650e5eb5-584c-4314-be6f-91b461767cf7" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_InterestExpenseDebtExcludingAmortization"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InterestExpenseDebt_0885a58c-e053-480f-92bf-48646f4ec2ac" xlink:to="loc_us-gaap_InterestExpenseDebtExcludingAmortization_650e5eb5-584c-4314-be6f-91b461767cf7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AmortizationOfFinancingCosts_2465de08-a09c-4dfb-a4da-140dc599c6eb" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AmortizationOfFinancingCosts"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InterestExpenseDebt_0885a58c-e053-480f-92bf-48646f4ec2ac" xlink:to="loc_us-gaap_AmortizationOfFinancingCosts_2465de08-a09c-4dfb-a4da-140dc599c6eb" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.harmonicinc.com/role/EARNINGSPERSHAREBasicandDilutedNetIncomePerShareDetails" xlink:type="simple" xlink:href="hlit-20230630.xsd#EARNINGSPERSHAREBasicandDilutedNetIncomePerShareDetails"/>
  <link:calculationLink xlink:role="http://www.harmonicinc.com/role/EARNINGSPERSHAREBasicandDilutedNetIncomePerShareDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding_ccfafb03-f761-44ac-8b08-8092ed9587e8" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_WeightedAverageNumberOfSharesOutstandingBasic_a3f1db9b-8577-4ce5-882b-e329d339aa69" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_WeightedAverageNumberOfSharesOutstandingBasic"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding_ccfafb03-f761-44ac-8b08-8092ed9587e8" xlink:to="loc_us-gaap_WeightedAverageNumberOfSharesOutstandingBasic_a3f1db9b-8577-4ce5-882b-e329d339aa69" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_WeightedAverageNumberDilutedSharesOutstandingAdjustment_f9436e21-4acc-447b-baba-ec750befed8e" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_WeightedAverageNumberDilutedSharesOutstandingAdjustment"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding_ccfafb03-f761-44ac-8b08-8092ed9587e8" xlink:to="loc_us-gaap_WeightedAverageNumberDilutedSharesOutstandingAdjustment_f9436e21-4acc-447b-baba-ec750befed8e" xlink:type="arc"/>
  </link:calculationLink>
</link:linkbase>
